> For the complete documentation index, see [llms.txt](https://docs.innopaas.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.innopaas.com/api-reference/whatsapp-business-api/whatsapp-business-api/wen-jian-shang-chuan-upload.md).

# 文件上传Upload

**请求接口地址**

```
POST    https://api.innopaas.com/api/whatsapp/v3/uploadFile
```

**请求参数**

<table data-header-hidden><thead><tr><th width="124.515625"></th><th width="86.74609375"></th><th width="99.54296875"></th><th></th></tr></thead><tbody><tr><td>字段</td><td>数据类型</td><td>是否必填</td><td>描述</td></tr><tr><td><strong>file</strong></td><td><strong>file</strong></td><td>是</td><td>文件的 MIME 类型。有效值为：application/pdf、image/jpeg、image/jpg、image/png 和 video/mp4</td></tr></tbody></table>

**请求示例**

```actionscript-3

Content-Type: multipart/form-data; boundary=----WebKitFormBoundary7MA4YWxkTrZu0gW

----WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="file"; filename=""
Content-Type: <Content-Type header here>

(data)
----WebKitFormBoundary7MA4YWxkTrZu0gW
```

**响应参数**

```json
{
    "code": "0",
    "message": "Success",
    "data": "4::aW1hZ2UvanBlZw==:ARZDIOWLhcxHAg-swqoSVjgf5pQFQGM7XvqANssarookTBgIbJz9OwAlsfEsnia073wZviAOJEaWf6rnZqVa_Aoh9rVbphjjCzTHtIAGdP-RZg:e:1695539910:1399631517488334:100092285319469:ARaUDRGLmJ_OYV4HWkM"
}

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.innopaas.com/api-reference/whatsapp-business-api/whatsapp-business-api/wen-jian-shang-chuan-upload.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
